onEvent('recipes', e => {
  e.recipes.immersiveengineeringArcFurnace(['immersiveengineering:heavy_engineering'], 'kubejs:heb')
  e.recipes.immersiveengineeringArcFurnace(['immersiveengineering:light_engineering'], 'kubejs:leb')
  e.recipes.immersiveengineeringArcFurnace(['immersiveengineering:rs_engineering'], 'kubejs:reb')
  e.recipes.immersiveengineeringArcFurnace(['kubejs:advancedframe'], '4x appliedenergistics2:fluix_block', ['2x immersiveengineering:heavy_engineering', '2x kubejs:basicframe'])
  e.recipes.immersiveengineeringArcFurnace(['appliedenergistics2:quartz_glass'], '#forge:glass', ['#forge:dusts/quartz'])
  e.recipes.immersiveengineeringArcFurnace(['appliedenergistics2:quartz_fiber'], 'immersiveengineering:fluid_pipe', ['appliedenergistics2:quartz_glass'])
  e.recipes.immersiveengineeringArcFurnace(['appliedenergistics2:formation_core'], 'kubejs:reinforcedpcb', ['appliedenergistics2:logic_processor', 'appliedenergistics2:calculation_processor', 'appliedenergistics2:engineering_processor', 'appliedenergistics2:purified_certus_quartz_crystal'])
  e.recipes.immersiveengineeringArcFurnace(['appliedenergistics2:annihilation_core'], 'kubejs:reinforcedpcb', ['appliedenergistics2:logic_processor', 'appliedenergistics2:calculation_processor', 'appliedenergistics2:engineering_processor', 'appliedenergistics2:purified_nether_quartz_crystal'])
  e.recipes.immersiveengineeringArcFurnace(['kubejs:sc'], '#forge:storage_blocks/steel', ['appliedenergistics2:annihilation_core', 'appliedenergistics2:formation_core', 'kubejs:advancedframe', 'kubejs:basicframe'])
  e.recipes.immersiveengineeringArcFurnace(['kubejs:machineframe'], 'immersiveengineering:dust_hop_graphite', ['4x immersiveengineering:heavy_engineering', '6x immersiveengineering:light_engineering', 'immersiveengineering:rs_engineering'])
  e.recipes.immersiveengineeringArcFurnace(['3x kubejs:tme'], 'kubejs:machineframe', ['immersiveengineering:heavy_engineering'])
  e.recipes.immersiveengineeringArcFurnace(['mekanism:block_steel'], '#forge:storage_blocks/coal_coke', ['minecraft:iron_block'])
  e.recipes.immersiveengineeringArcFurnace(['thermal:redstone_servo'], '2x thermal:signalum_ingot', ['5x minecraft:redstone', '4x minecraft:iron_nugget', '2x thermal:cinnabar'])
  e.recipes.immersiveengineeringArcFurnace(['appliedenergistics2:fluix_smart_cable'], '16x appliedenergistics2:fluix_glass_cable', ['16x minecraft:redstone', '16x minecraft:glowstone_dust', '16x minecraft:white_wool'])
  e.recipes.immersiveengineeringArcFurnace(['mekanism:boiler_casing'], '2x mekanism:steel_casing', ['48x minecraft:redstone_block', '2x immersiveengineering:storage_aluminum', '16x thermal:invar_ingot', '4x thermal:rf_coil'])
  e.recipes.immersiveengineeringArcFurnace(['minecraft:bucket'], '3x minecraft:iron_ingot', ['ceramics:unfired_clay_bucket'])
  e.recipes.immersiveengineeringArcFurnace(['64x fluxnetworks:flux_dust'], '64x minecraft:obsidian', ['64x minecraft:redstone', '64x minecraft:redstone'])
})